Test the Given LDAP Configuration
post
/api/v1/configuration/ldapConfig/test
Test the given LDAP configuration
Request
Supported Media Types
- application/json
Header Parameters
-
Authorization(required): string
Bearer access token. Supply as: Bearer
.
Default LDAP configuration payload.
Root Schema : schema
Type:
objectDefault LDAP configuration payload.
Show Source
-
backupHosts:
array backupHosts
Maximum Number of Items:
2 -
bpmUserGroup:
string
-
caAdminGroup:
string
-
connectTimeout:
integer
-
groupClassName(required):
string
-
groupMembershipAttribute(required):
string
-
groupNameAttribute(required):
string
-
instanceAdminGroup:
string
-
instanceUserGroup:
string
-
ldapBaseDN(required):
string
-
ldapBindDN(required):
string
-
ldapBindPassword(required):
string(password)
-
ldapHost(required):
string
-
ldapId:
string
-
ldapName(required):
string
-
ldapPort(required):
integer
Minimum Value:
1Maximum Value:65535 -
ldapTLSEnabled(required):
boolean
Must be true for the default OpenLDAP server.
-
ldapType(required):
string
-
restProxyGroup:
string
-
userClassName(required):
string
-
userNameAttribute(required):
string
Response
Supported Media Types
- application/json
200 Response
OK
400 Response
Bad Request
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings
401 Response
Unauthorized
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
403 Response
Forbidden. The authenticated caller lacks a required global role, instance-access-group membership, or a valid CSRF token.
Root Schema : AuthError
Type:
objectAuthentication or authorization error returned by request filters.
Show Source
-
code(required):
string
Allowed Values:
[ "UNAUTHENTICATED", "FORBIDDEN", "NOT_FOUND" ] -
message(required):
string
500 Response
Internal Server Error
Root Schema : Error
Type:
objectError Information.
Show Source
-
errors:
array errors
list of errors
-
message(required):
string
A human-readable error string.
-
status(required):
string
A short error status that defines the error, meant for programmatic parsing.
-
warnings:
array warnings
list of warnings